SELECT Код_диспетчерского_управления INTO #TmpTable FROM Диспетчерское_управление
SET IDENTITY_INSERT Диспетчерское_управление ON

IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_диспетчерского_управления = 1) INSERT INTO Диспетчерское_управление (Код_диспетчерского_управления,Наименование,Код_главного_ДУ) VALUES (1,'Главное ДУ',NULL)
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_диспетчерского_управления = 2) INSERT INTO Диспетчерское_управление (Код_диспетчерского_управления,Наименование,Код_главного_ДУ) VALUES (2,'Подчиненное управление',1)

SET IDENTITY_INSERT Диспетчерское_управление OFF
DROP TABLE #TmpTable

GO
